guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ivanmarcus <ivanmar...@yahoo.com>
Subject Re: ask information
Date Thu, 27 Dec 2018 10:36:25 GMT
Pleased to hear it's going now.


There are a few different versions of VNC, all should work but each 
offers different features that you could check out to see if they would 
be useful to you.


If you are on the same hard-wired network between Guacamole and your VNC 
server I wouldn't be too concerned about bandwidth, so it probably won't 
make much difference which you use.


Here are a couple of howto's, and a link to the default packages for 
Stretch that may be useful:


https://linuxconfig.org/vnc-server-client-setup-on-debian-9-stretch-linux

https://www.digitalocean.com/community/tutorials/how-to-install-and-configure-vnc-on-debian-9

https://packages.debian.org/stretch/vnc-server


On 27/12/2018 11:26 a.m., Poubelle2539 wrote:
> Hi,
>
> Thank you for your answer. I do not understand .
> It's solved without doing anything.
> By cons I do not know which vnc server to install on the Debian stretch.
>
> Can you tell me which one to install?
>
> Thank you so much
>
> ------------------------------------------------------------------------
> *De: *"ivanmarcus" <ivanmarcus@yahoo.com>
> *À: *"Poubelle2539" <poubelle2539@gmail.com>
> *Cc: *user@guacamole.apache.org
> *Envoyé: *Mercredi 26 Décembre 2018 23:02:07
> *Objet : *Re: ask information
>
> Hi,
>
>
> Good that you have it installed and generally working. To troubleshoot 
> the problem please have a look at the logfiles which may be located at:
>
>
> /var/log/tomcat7/catalina.out
>
> /var/log/syslog
>
>
> If you tail these logs it's probable they will tell you something 
> about the error message - tail -f the logfiles while you're trying to 
> create the new user and see what they say..
>
>
> I suspect the problem could be either the permissions on the mysql 
> database, or the permissions of the user from which you're trying to 
> create the new users. It's likely to be a simple fix once you find the 
> source of the error.
>
>
> A search for that particular error via Google gives some responses 
> too, which may be useful to you. If you continue to have problems it 
> could be useful to post the section of the logfiles where you are 
> trying to create the user.
>
>
>
> On 27/12/2018 7:47 a.m., Poubelle2539 wrote:
>
>     Good evening,
>
>     Thank you for your reply.
>     So I installed directly on my vm the script.
>     I logged in well on the guacamole interface:
>
>     http://192.168.0.192:8080/guacamole/#
>
>
>
>     I'm going in the settings
>
>
>      I go on connections
>
>
>     I click on New connection
>
>
>
>
>
>     When I click Save
>     I have an error message
>
>
>
>     How to do ?
>
>     Thank
>     ------------------------------------------------------------------------
>     *De: *"ivanmarcus" <ivanmarcus@yahoo.com>
>     *À: *user@guacamole.apache.org, "Poubelle2539"
>     <poubelle2539@gmail.com>
>     *Envoyé: *Mardi 25 Décembre 2018 04:30:35
>     *Objet : *Re: ask information
>
>     Poubelle, this script may be of interest as a quick and easy way
>     to instal 0.9.14:
>
>
>     https://github.com/MysticRyuujin/guac-install
>
>
>     As Nick has said, you will need to install VNC server on the
>     machine you wish to connect to, and ensure that the relevant
>     settings are entered into the Guacamole Connection setup (that
>     it's using VNC, along with the IP number and port of that machine).
>
>
>     You will also need to set up a User with password etc, and then
>     associated the Connection you've made with that User.
>
>
>
>     On 25/12/2018 5:21 a.m., Poubelle2539 wrote:
>
>         Thank you very much for your answer.
>
>         To help me I took a translator. By cons for your French is
>         very good.
>
>         Is it still relevant?
>         Which version should I install for Debian?
>         Because version 0..9.1.4 contains unresolved bugs), it's on
>         the website https://wiki.debian.org/Guacamole.
>
>         I do not understand anything anymore.
>
>
>             Unresolved bugs
>
>          *
>
>             Bug #887565 - Please update to new upstream version
>             <https://translate.googleusercontent.com/translate_c?anno=2&depth=1&rurl=translate.google.com&sl=en&sp=nmt4&tl=fr&u=https://bugs.debian.org/cgi-bin/bugreport.cgi%3Fbug%3D887465&xid=17259,1500000,15700022,15700124,15700186,15700191,15700201,15700237,15700242,15700248&usg=ALkJrhhSOsQn3FpSknRHau-s4twqZTa1KA>
>             (depends on Bug #888321 migrate to freerdp2
>             <https://translate.googleusercontent.com/translate_c?anno=2&depth=1&rurl=translate.google.com&sl=en&sp=nmt4&tl=fr&u=https://bugs.debian.org/cgi-bin/bugreport.cgi%3Fbug%3D888321&xid=17259,1500000,15700022,15700124,15700186,15700191,15700201,15700237,15700242,15700248&usg=ALkJrhi33i2izjSkv2l0j1WbTk0j5W1Ikg>
>             ) - as of this writing, only version 0.9.9 is available in
>             Debian
>
>          *
>
>             Bug #887464 - Can't set language or remote protocol, can't
>             create connections
>             <https://translate.googleusercontent.com/translate_c?anno=2&depth=1&rurl=translate.google.com&sl=en&sp=nmt4&tl=fr&u=https://bugs.debian.org/cgi-bin/bugreport.cgi%3Fbug%3D887464&xid=17259,1500000,15700022,15700124,15700186,15700191,15700201,15700237,15700242,15700248&usg=ALkJrhhDr8for6dpql_PdptMSnQIQ5dhwQ>
>             - this bug makes the web application unusable, as such it
>             must be manually installed
>
>          *
>
>             Bug #888973 - guacd segfaults, error 6 in
>             libcrypto.so.1.1, can't connect via SSH when using PKA
>             <https://translate.googleusercontent.com/translate_c?anno=2&depth=1&rurl=translate.google.com&sl=en&sp=nmt4&tl=fr&u=https://bugs.debian.org/cgi-bin/bugreport.cgi%3Fbug%3D888973&xid=17259,1500000,15700022,15700124,15700186,15700191,15700201,15700237,15700242,15700248&usg=ALkJrhgNPQBzVJ3TBgDXODolWOVYU_yV7w>
>             - this prevents using PKA on SSH connections, as a
>             workaround install guacd manually (see below)
>
>         Is it still relevant?
>
>
>         ------------------------------------------------------------------------
>         *De: *"Nick Couchman" <vnick@apache.org>
>         *À: *user@guacamole.apache.org
>         *Envoyé: *Lundi 24 Décembre 2018 16:16:56
>         *Objet : *Re: ask information
>
>             Escuse me for my english, i'm french. I have installed
>             guacamole 0.9.9 for Linux Debian.
>
>
>         Bonjour!  Bienvenue a Guacamole!
>
>         (And that's about all of the French that I know :-).  If
>         you're installing version 0.9.9 then you're installing a very
>         old version of Guacamole.  I think there's an old package in
>         the Debian repository, but it hasn't been maintained in quite
>         a while, so you should install the version from the Guacamole
>         web site:
>
>         http://guacamole.apache.org
>
>
>             How to use VNC ? Duty I installer VNC server  on the
>             debian. And on customer i duty installer ultravnc or
>             realvnc etc . ?
>
>
>         You'll need to have a VNC server to connect to, so, yes,
>         you'll need to install the VNC server on whatever system
>         you're trying to connect to.  Once you have that set up you
>         just need to configuring the connection in Guacamole.  The
>         Guacamole Manual can be found here:
>
>         http://guacamole.apache.org/doc/gug/
>
>         -Nick
>
>
>
>
>


Mime
View raw message